function fitness=basicMultiStaircase(pop, cardinality, height, order, increment, noisiness)
[popSize len]=size(pop);
fitness=randn(popSize,1)*noisiness;
for j=1:cardinality
    [minVal minValIndex]=min(pop(:,(j-1)*order*height+1:j*order*height),[],2);
    lastOneIndex=minValIndex-1; %index of the last one in the first solid genomic block of ones
    lastOneIndex(minVal==1)=order*height;
    fitness=fitness+floor(lastOneIndex/order)*increment;
    fitness(minVal==0)=fitness(minVal==0)-increment/(2^order-1);
end
fitness=fitness';

